Subject: Ticket Assigned - Returns
From: Lifestyle <[email-masked]>
To: [email-masked]
Date: Wed, 27 Jan 2021 14:36:17 +0000

Hi Arunjay Raj Chouhan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns This is regarding Ticket Number 2001277.

I have requested for a refund on December 16, 2020 and up until this day, January 27, 2021, nothing happened yet.

I have to call 7 times if I am not mistaken to be advised by all representatives that they will have to remind again their courier partner for the collection. And I have received multiple apologies from Customer Representatives but still nothing was resolved.

I am not sure if how many times do I have to call in order for the collection of the wrong item that was delivered to be collected in order for the refund to be processed.

I am left with no option but to raise this issue to DED Consumer Rights Protection and hope that this issue will be resolved by them.

I am sorry to say but this is already the worst online experience I have with Lifestyle.

I hope that this issue will not happen to other customers who have requested returns or refunds from Lifestyle. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2026143